> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact custom field value



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/contacts/{identifier}/custom-fields/{customFieldId}
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/contacts/{identifier}/custom-fields/{customFieldId}:
    get:
      tags:
        - Contacts
      summary: Get contact custom field value
      operationId: getContactCustomFieldWorkspaceTokenAPI
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: customFieldId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      type:
                        enum:
                          - shortText
                          - email
                          - phoneNumber
                          - number
                          - date
                          - datetime
                          - boolean
                          - longText
                        type: string
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - name
                      - type
                      - description
                  - type: object
                    properties:
                      value:
                        type: string
                    required:
                      - value
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````